Bug 389771 - Review Request: swfdec-gnome - Programs to integrate Flash into the GNOME desktop
Review Request: swfdec-gnome - Programs to integrate Flash into the GNOME des...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 16:21 EST by Brian Pepple
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-22 17:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2007-11-18 16:21:05 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/swfdec-gnome.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/swfdec-gnome-0.5.4-1.fc8.src.rpm

Description: This package contains programs to integrate Flash functionality into the GNOME desktop.  It's main application is swfdec-player, a stand-alone viewer for Flash files.  It also contains swfdec-thumbnailer, a program that provides screenshots for files to display in the Nautilus file manager
Comment 1 Brian Pepple 2007-11-18 16:21:34 EST
Here's a link to a scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=247591
Comment 2 Mamoru TASAKA 2007-11-20 05:14:15 EST
For 0.5.4-1:
* desktop file vendor
  - Well, it seems that the section "desktop-file-install usage" of
    http://fedoraproject.org/wiki/Packaging/Guidelines says that
    we should still use "fedora" as desktop-file-install vendor.

* scriptlets
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
  - As swfdec-player.desktop contains MimeType key, desktop database
    must be updated.
Comment 3 Brian Pepple 2007-11-20 11:18:32 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/swfdec-gnome.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/swfdec-gnome-0.5.4-2.fc8.src.rpm

* Tue Nov 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-2
- Add scriptlet to update desktop-database.
- Add vendor to desktop file, even though it's not really necessary.
Comment 4 Brian Pepple 2007-11-20 13:30:22 EST
Here's a link to a scratch build for the new src.rpm:
http://koji.fedoraproject.org/koji/taskinfo?taskID=250900
Comment 5 Mamoru TASAKA 2007-11-21 02:36:02 EST
Okay.

-------------------------------------------------------------
   This package (swfdec-gnome) is APPROVED by me
-------------------------------------------------------------
Comment 6 Brian Pepple 2007-11-21 10:15:40 EST
New Package CVS Request
=======================
Package Name: swfdec-gnome
Short Description: Programs to integrate Flash into the GNOME desktop
Owners: bpepple
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-11-22 14:49:40 EST
cvs done.
Comment 8 Brian Pepple 2007-11-22 17:36:13 EST
Build for devel.  Mamoru, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.